#!/bin/bash

cmdline=$0
cd $(dirname "$cmdline")
cmdline=$(basename $cmdline)

while [ -L "$cmdline" ]; do
    cmdline="$(readlink "$cmdline")"
done

cd "$(dirname $cmdline)"
cd ..

for file in `ls lib`
do
   classpath="lib/$file:$classpath"
done

java -Djava.library.path=jni/linux:jni/linux/jmf -Xmx512m -classpath $classpath com.dMSN.Main -Location:userdir.mercury=./MercurySettings $*
